Subject: bug#55299: 29.0.50; Bug with the mode-line and pixel-scroll-precision-mode

From: Po Lu <[email-masked]>
Date: Sun, 08 May 2022 09:01:32 +0800

Konrad Podczeck <[email-masked]> writes:

> With this patch, I don’t get any error message, but If a frame has
> only one window, I cannot scroll (using the mouse wheel) downwards
> anymore, and after doing C-x 2, the same is true if I scroll in the
> active pane, while when I scroll in the inactive pane, I always get
> scrolling upwards, regardless of which direction I rotate the wheel.

Does this fix your problem?

diff --git a/src/window.c b/src/window.c
index 15d6cf94b0..1e719c2598 100644
--- a/src/window.c
+++ b/src/window.c
@@ -7980,6 +7980,8 @@ DEFUN ("set-window-vscroll", Fset_window_vscroll, Sset_window_vscroll,
 
 	  /* Prevent redisplay shortcuts.  */
 	  XBUFFER (w->contents)->prevent_redisplay_optimizations_p = true;
+
+	  windows_or_buffers_changed = 1013;
 	}
     }